package com.liquidnet.service.sweet.vo;

import com.liquidnet.service.sweet.entity.SweetManualShopTfc;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class SweetManualShopTFCAllVo implements Serializable ,Cloneable {
    @ApiModelProperty("推荐")
    private List<SweetManualShopTfc> recommend;
    @ApiModelProperty("吃喝")
    private List<SweetManualShopTfc> eat;
    @ApiModelProperty("玩乐")
    private List<SweetManualShopTfc> play;

    private static final SweetManualShopTFCAllVo obj = new SweetManualShopTFCAllVo();
    public static SweetManualShopTFCAllVo getNew() {
        try {
            return (SweetManualShopTFCAllVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetManualShopTFCAllVo();
        }
    }
}
